<?php
/********************************************************************************
 * (c)1337 aheadware.com - All rights reserved
 ********************************************************************************/


class AHDMN_Core_Config
{
    /**
     * @var AHDB_Utils_Config
     */
    private static $cfg;

    /**
     * Init
     */
    public static function init()
    {
        $jsonString = file_get_contents( ROOT_DIR . '/config/global.json' );
        self::$cfg = new AHDB_Utils_Config();
        self::$cfg->initFromJson(  $jsonString );
    }

    /**
     * @param string $key
     * @return mixed
     */
    public static function get( $key )
    {
        return self::$cfg->get( $key );
    }
}